Subject: Re: bug#77502: 31.0.50; Should after-load-functions hook report .eln file names?

From: Sean Devlin <[email-masked]>
Date: Sat, 5 Apr 2025 11:31:19 -0500

Hi folks,

> On Apr 5, 2025, at 10:07 AM, Stefan Monnier <[email-masked]> wrote:
> 
> 
>> 
>> Not sure if this is a bug or a feature.  We record the *.elc names in
>> load-history, and those are the names passed to after-load-functions.
>> I've added Stefan and Andrea to this discussion, in case they have
>> comments.
> 
> It was done on purpose, at least for backward compatibility reasons, but
> also because it's easier to find the `.eln` from the `.elc` than
> the reverse.

I see, thanks.

In my case, I don’t necessarily even care about getting the .eln paths in the after-load-functions hook. I just got confused by the results and thought maybe my native loader was not working correctly due to some misconfiguration on my end. In other words, I have no problem with the current behavior, but I do think maybe we should update the documentation somewhere to describe how the hook behaves when the native loader is enabled.

Cheers.

>        Stefan